%{?nodejs_find_provides_and_requires}

%global packagename bind-obj-methods

# Tests disabled to bootstrap newer version of npm(tap)
%global enable_tests 0

Name:		nodejs-bind-obj-methods
Version:	2.0.0
Release:	1%{?dist}
Summary:	Bind methods to an object from that object or some other source

License:	ISC
URL:		https://github.com/isaacs/bind-obj-methods
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/isaacs/bind-obj-methods/v%{version}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Bind methods to an object from that object or some other source. Optionally
specify a set of methods to skip over.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bind-obj-methods.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test.js --100
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 30 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
